Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 (1803) Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28604

Description

Hi

I went onto Stack Exchange asking for help to a styling issue. I used the method as seen in the attached and this works great as far as

re-usable styling goes. However, I just discovered a strange issue with this solution. While it works great simplifying styling, it seems to

lock lines and polygons from being edible. To reproduce, set the layer with this type of styling to Edit mode. Select the Vertex tool and

nothing happens, no red highlight or ability to move any points on the line or polygon. Change the style to replace the attribute with a field

name and it works perfectly.

History

#1 - 2018-12-12 01:23 AM - Peter Cornelissen

Forgot to say. I can add new lines or polygons

#2 - 2018-12-12 06:42 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you share some data and the style for testing?

#3 - 2018-12-12 02:59 PM - Peter Cornelissen

- File Artefacts.qml added

- File NWW18 - Artefacts.zip added

Hi

As requested, attached are the qml style and zipped shapefile folder. The layer name for the Shapefile must be prefixed with the plan number in the form

Plan1809 (i.e. no gaps), e.g. 'Plan1809 - Artefacts'. The CRS used is OSGB 27700.

Peter

#4 - 2018-12-18 01:42 PM - Peter Cornelissen

I have discovered that the issue applies once a layer has been saved and the project reloaded. Up until that point I can use the node tool as normally.

2025-04-27 1/2



#5 - 2019-03-09 10:00 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

Works here on 3.4.5 and 3.6 on Windows. Please reopen if necessary.

Files

QGIS1.jpg 26.7 KB 2018-12-12 Peter Cornelissen

NWW18 - Artefacts.zip 9.77 KB 2018-12-12 Peter Cornelissen

Artefacts.qml 29.5 KB 2018-12-12 Peter Cornelissen
